#---------------------------------------------------------------------------------------
#!/bin/sh
# Script per actualitzar scripts i software de l'equip CableRanger Mini.
# Quando es crida, ja s'ha fet un cd al dir en el que s'ha muntat l'USB.
# Cal retornar al dir_inicial perque l'script que l'ha cridat pugui desmuntar l'USB.
#---------------------------------------------------------------------------------------
sortida=/dev/tty1
dir_update=/opt/CableRanger_Mini_Qt5/bin/
dir_soft_update=/mnt/soft_update/
script_actualizar=usb_update.sh

echo -e "\n\tS00" > $sortida
mount -o remount,rw /
#------------------------------------------
# Si el directori no existeix es crea.
#------------------------------------------
if [ -d "$dir_update" ]; then
	echo -e "\n\tS01" > $sortida
else
	mkdir -p $dir_update
fi

echo -e "\n\tS11" > $sortida

#-------------------------------------------------------------------
# Anem a l'USB, copiem l'aplicació
#-------------------------------------------------------------------
if [ -d "$dir_soft_update" ]; then
	cd $dir_soft_update
	echo -e "\n\tS02" > $sortida
#---------------------------------------------------------------------------------
# Copiem tots els arxius (ull!!! les carpetes NO!)
#---------------------------------------------------------------------------------
#	rm -r -f /opt/CableRanger_Mini_Qt5/bin/channelPlans/
#	mkdir -p /opt/CableRanger_Mini_Qt5/bin/channelPlans/

	cp -r -f * $dir_update
	rm -f /root/CableRanger_Mini_Qt5/bin/CableRanger_Mini_Qt5
	sync
	chmod -R 744 $dir_update *
	sync
	mv -f $dir_update/llamada_aplicacion.sh /root/llamada_aplicacion.sh
	echo -e "\n\tS04" > $sortida
	cd /mnt
	rm -r $dir_soft_update $script_actualizar
	sync
	echo -e "\n\tS03" > $sortida
else
	echo -e "\n\tS03: can't cd to DIR SOFT UPDATE" > $sortida
fi	
if [ -f tool*.sh ]; then
	./tool*.sh
else
	echo -e "\n\tS04" > $sortida
fi
